/* ========================================================================= */
/* DATOS =================================================================== */
/* ========================================================================= */

var game = { name: "Vestimenta tradicional canaria", picture: "images/games/vestimenta.png", color: "game-natilla", resHeight: false };

var categories = [
	{ name: 'Provincia de Las Palmas', score: 1 }, 			// categoriesId[0]
	{ name: 'Provincia de Santa Cruz de Tenerife', score: 1 }, 				// categoriesId[1]
	{ name: 'Hecho a mano', score: 1 }, 									// categoriesId[2]
	{ name: 'Hecho de piel', score: 3 }, 									// categoriesId[3]
	{ name: 'Artesanía canaria de hoy', score: 3 }, 						// categoriesId[4]
	{ name: 'Desde la época aborigen ...', score: 4 }, 						// categoriesId[5]
	{ name: 'Traje típico de...', score: 5, description: "<span class='span-description'>Escribe detrás de la tarjeta la isla de dónde son típicos los siguientes trajes, escribiendo si son de:<br/></span><b>Gran Canaria</b>, <b>Fuerteventura</b>, <b>Lanzarote</b>, <b>Tenerife</b>, <b>La Palma</b>, <b>La Gomera</b> o <b>El Hierro</b>" }, 								// categoriesId[6]
	{ name: 'De qué estoy hecho', score: 5, description: "<span class='span-description'>Escribe el material de cada prenda y utensilio tradicional canario, distingue entre:<br></span> <b>arcilla</b>, <b>mimbre</b>, <b>piel</b>, <b>hilo</b>, <b>lana</b> o <b>plata</b>" } 				// categoriesId[7]
];

// Añadimos el campo special edit a la categoría "De qué estoy hecho"
_.extend(categories[6], { special: {edit: true} });
_.extend(categories[7], { special: {edit: true} });

var categoriesId = [];

// Asignamos un id único a cada categoría y lo guardamos
_.each(categories, function (category) {
	var id = _.uniqueId('category_');
	categoriesId.push(id);
	_.extend(category, {_id: id});
});

var items = [
	// { name: '', picture: 'images/items/.png', color: '', categoriesId: [  ], resHeight: false },

	{ name: 'Traje Típico de Hombre', picture: 'images/items/traje-hierro-hombre.png', color: 'dark-cyan', categoriesId: [ categoriesId[1],categoriesId[6]], resHeight: true },							// itemsId[0]
	{ name: 'Traje Típico de Mujer', picture: 'images/items/traje-hierro-mujer.png', color: 'normal-green', categoriesId: [ categoriesId[1],categoriesId[6]], resHeight: true },						// itemsId[1]
	{ name: 'Traje Típico de Hombre', picture: 'images/items/traje-fuerteventura-hombre.png', color: 'dark-green', categoriesId: [ categoriesId[0],categoriesId[6]], resHeight: true },					// itemsId[2]
	{ name: 'Traje Típico de mujer', picture: 'images/items/traje-fuerteventura-mujer.png', color: 'dark-cyan', categoriesId: [ categoriesId[0],categoriesId[6]], resHeight: true },					// itemsId[3]
	{ name: 'Traje Típico de hombre', picture: 'images/items/traje-gran-Canaria-hombre.png', color: 'normal-purple', categoriesId: [ categoriesId[0],categoriesId[6]], resHeight: true},				// itemsId[4]
	{ name: 'Traje Típico de mujer', picture: 'images/items/traje-gran-canaria-mujer.png', color: 'dark-cyan', categoriesId: [ categoriesId[0],categoriesId[6]], resHeight: true},						// itemsId[5]
	{ name: 'Traje Típico de Hombre', picture: 'images/items/traje-gomera-hombre.png', color: 'light-green', categoriesId: [ categoriesId[1],categoriesId[6]], resHeight: true },						// itemsId[6]
	{ name: 'Traje Típico de Mujer', picture: 'images/items/traje-gomera-mujer.png', color: 'normal-pink', categoriesId: [ categoriesId[1],categoriesId[6]], resHeight: true },							// itemsId[7]
	{ name: 'Traje Típico de Hombre', picture: 'images/items/traje-palma-hombre.png', color: 'normal-cyan', categoriesId: [ categoriesId[1],categoriesId[6]], resHeight: true},							// itemsId[8]
	{ name: 'Traje Típico de Mujer', picture: 'images/items/traje-palma-mujer.png', color: 'light-purple', categoriesId: [ categoriesId[1],categoriesId[6]], resHeight: true },							// itemsId[9]
	{ name: 'Traje Típico de Hombre', picture: 'images/items/traje-lanzarote-hombre.png', color: 'normal-green', categoriesId: [ categoriesId[0],categoriesId[6]], resHeight: true },					// itemsId[10]
	{ name: 'Traje Típico de Mujer', picture: 'images/items/traje-lanzarote-mujer.png', color: 'normal-cyan', categoriesId: [ categoriesId[0],categoriesId[6]], resHeight: true },						// itemsId[11]
	{ name: 'Traje Típico de hombre', picture: 'images/items/Traje-tenerife-hombre.png', color: 'light-pink', categoriesId: [ categoriesId[1],categoriesId[6]], resHeight: true },						// itemsId[12]
	{ name: 'Traje Típico de Mujer', picture: 'images/items/traje-tenerife-mujer.png', color: 'normal-purple', categoriesId: [ categoriesId[1],categoriesId[6]], resHeight: true },						// itemsId[13]
	{ name: 'Argolla', picture: 'images/items/argollas.png', color: 'normal-orange', categoriesId: [ categoriesId[2], categoriesId[4],categoriesId[7]], resHeight: false },								// itemsId[14]
	{ name: 'Tejido estameño', picture: 'images/items/tejido-estameno.png', color: 'normal-cyan', categoriesId: [ categoriesId[2], categoriesId[4],categoriesId[7]], resHeight: false },				// itemsId[15]
	{ name: 'Manta esperancera', picture: 'images/items/manta-esperancera.png', color: 'light-yellow', categoriesId: [ categoriesId[2],categoriesId[7]], resHeight: true },								// itemsId[16]
	{ name: 'Cachorro', picture: 'images/items/cachorro.png', color: 'normal-green', categoriesId: [ categoriesId[2], categoriesId[3],categoriesId[7]], resHeight: false },								// itemsId[17]
	{ name: 'Fajín', picture: 'images/items/fajin.png', color: 'dark-cyan', categoriesId: [ categoriesId[2], categoriesId[4],categoriesId[7]], resHeight: false },										// itemsId[18]
	{ name: 'Zurrón', picture: 'images/items/zurron.png', color: 'normal-pink', categoriesId: [ categoriesId[2],categoriesId[3], categoriesId[4], categoriesId[5],categoriesId[7]], resHeight: false },	// itemsId[19]
	{ name: 'Calado', picture: 'images/items/calado.png', color: 'dark-cyan', categoriesId: [ categoriesId[2], categoriesId[4],categoriesId[7]], resHeight: true },										// itemsId[20]
	{ name: 'Tamarco', picture: 'images/items/tamarco.png', color: 'light-pink', categoriesId: [ categoriesId[2], categoriesId[3], categoriesId[5],categoriesId[7]], resHeight: true },					// itemsId[21]
	{ name: 'Collar guanche', picture: 'images/items/collar-guanche.png', color: 'normal-purple', categoriesId: [ categoriesId[2], categoriesId[5],categoriesId[7]], resHeight: true },					// itemsId[22]
	{ name: 'Cesta', picture: 'images/items/cesta-mimbre.png', color: 'normal-orange', categoriesId: [ categoriesId[2], categoriesId[4],categoriesId[7]], resHeight: true }								// itemsId[23]
];

// Añadimos el campo especial edit a todos los items editables
_.each([0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23], function (pos) {
	_.extend(items[pos], { special: {edit: []} });
});

// Añadimos a los campos special edit el valor(es) correspondiente(s) de cada item
_.each([22], function (pos) {
	items[pos].special.edit.push('arcilla');
});
_.each([23], function (pos) {
	items[pos].special.edit.push('mimbre');
});
_.each([21, 19, 17], function (pos) {
	items[pos].special.edit.push('piel');
});
_.each([20], function (pos) {
	items[pos].special.edit.push('hilo');
});
_.each([18, 16, 15], function (pos) {
	items[pos].special.edit.push('lana');
});
_.each([14], function (pos) {
	items[pos].special.edit.push('plata');
});
_.each([0,1], function (pos) {
	items[pos].special.edit.push('el hierro');
});
_.each([2,3], function (pos) {
	items[pos].special.edit.push('fuerteventura');
});
_.each([4,5], function (pos) {
	items[pos].special.edit.push('gran canaria');
});
_.each([6,7], function (pos) {
	items[pos].special.edit.push('la gomera');
});
_.each([8,9], function (pos) {
	items[pos].special.edit.push('la palma');
});
_.each([10,11], function (pos) {
	items[pos].special.edit.push('lanzarote');
});
_.each([12,13], function (pos) {
	items[pos].special.edit.push('tenerife');
});

var itemsId = [];

// Asignamos un id único a cada item
_.each(items, function (item) {
	var id = _.uniqueId('item_');
	itemsId.push(id);
	_.extend(item, {_id: id});
});

var boxes = [
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] }
];

// Asignamos un id único y un index a cada caja
_.each(boxes, function (box, index) {
	_.extend(box, {_id: _.uniqueId('box_'), index: index});
});
